Subject: Re: [PATCH 09/11] worktree: use 'worktree' over 'working tree'

From: Derrick Stolee <[email-masked]>
Date: Sun, 20 Feb 2022 21:26:30 -0500

On 2/20/2022 5:31 PM, Taylor Blau wrote:
> On Sun, Feb 20, 2022 at 05:54:25PM +0000, Derrick Stolee via GitGitGadget wrote:
>> From: Derrick Stolee <[email-masked]>
...
>> -In order to have configuration specific to working trees, you can turn
>> +In order to have configuration specific to worktrees, you can turn
> 
> Also not the fault of this patch, but I wonder if this would be more
> clearly worded as:
> 
>     In order to have worktree-specific configuration, you can [...].
> 

I like this change.

>>   - `core.worktree` should never be shared.
>>
>>   - `core.bare` should not be shared if the value is `core.bare=true`.
>>
>> - - `core.sparseCheckout` is recommended per working tree, unless you
>> -   are sure you always use sparse checkout for all working trees.
>> + - `core.sparseCheckout` is recommended per worktree, unless you are sure
>> +   you always use sparse checkout for all worktrees.
> 
> Another minor point, but perhaps the third bullet should share more
> language with the first two. Maybe instead:
> 
>     - `core.sparseCheckout` should not be shared, unless you are sure
>       you always use sparse checkout among all worktrees.

I thought I had a good reason to deviate here, but looking at it now I
agree with you.

Thanks,
-Stolee